"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var globalStore_1 = require("../constants/globalStore");
var download_images_1 = require("./download-images");
function getImages() {
    var promises = download_images_1.downloadImages();
    Promise.all(promises)
        .then(function () {
        if (globalStore_1.store.failedImages.length) {
            globalStore_1.store.debugLogger('Images that failed download: [');
            globalStore_1.store.failedImages.forEach(function (c) {
                globalStore_1.store.debugLogger(c.fileName);
            });
            globalStore_1.store.debugLogger(']');
            globalStore_1.store.IMAGES_TO_SCRAPE = globalStore_1.store.failedImages.slice();
            globalStore_1.store.failedImages.length = 0;
            getImages();
        }
        else {
            process.exit(0);
        }
    })
        .catch(function (err) {
        // store.LOG_STREAM.error(new Date().toISOString() + '\n\n' + err.toString() + '\n\n');
    });
}
exports.getImages = getImages;
;
